sessionInfo {utils} | R Documentation

## Collect Information About the Current R Session

### Description

Print version information about R and attached or loaded packages.

### Usage

    sessionInfo(package = NULL)
    ## S3 method for class 'sessionInfo'
    print(x, locale = TRUE, ...)
    ## S3 method for class 'sessionInfo'
    toLatex(object, locale = TRUE, ...)

### Arguments

`package` | a character vector naming installed packages, or `NULL` (the default) meaning all attached packages.
`x` | an object of class `"sessionInfo"`.
`object` | an object of class `"sessionInfo"`.
`locale` | show locale information?
`...` | currently not used.

### Value

An object of class `"sessionInfo"`, which has a `print` method. This is a list with components

`R.version` | a list, the result of calling `R.Version()`.
`platform` | a character string describing the platform. For recent versions where sub-architectures are in use this is of the form platform/sub-arch (nn-bit).
`locale` | a character string, the result of calling `Sys.getlocale()`.
`basePkgs` | a character vector of base packages which are attached.
`otherPkgs` | (not always present): a character vector of other attached packages.
`loadedOnly` | (not always present): a named list of the results of calling `packageDescription` on packages whose namespaces are loaded but are not attached.

### Note

The information on ‘loaded’ packages and namespaces is the current version installed at the location the package was loaded from: it can be wrong if another process has been changing packages during the session.

### See Also

`R.version`

### Examples

    sessionInfo()
    toLatex(sessionInfo(), locale=FALSE)

[Package utils version 2.15.1 Index]